<template>
    <content-layout>
        <div class="error-page">
            <h2 class="headline text-warning"> 404</h2>
            <div class="error-content">
                <h3><i class="fa fa-warning text-warning"></i> ¡Oops! Página no encontrada.</h3>
                <p>
                    {{ error.message }}<br>
                    Mientras tanto puedes <router-link to="/dashboard">regresar a la página de inicio</router-link>.
                </p>
            </div>
        </div>
    </content-layout>
</template>

<script>
import Content from '../../layouts/Content.vue';

export default {
    components: {
        'content-layout': Content
    },
    props: {
        error: {
            type: Object,
            required: true
        }
    },
    mounted() {
        document.head.querySelector('title').text = "Not found" + " - " + N.title;
        $(window).trigger('resize');
    }
}
</script>